asn1_find_node(3)

NAME
asn1_find_node - API function

SYNOPSIS
#include <libtasn1.h>

asn1_node asn1_find_node(asn1_node_const pointer, const char * name);

ARGUMENTS

asn1_node_const pointer
    NODE_ASN element pointer.

const char * name
    null terminated string with the element's name to find.

DESCRIPTION
Searches for an element called name starting from pointer . The name is composed by different identifiers separated by dots. When * pointer has a name, the first identifier must be the name of * pointer , otherwise it must be the name of one child of * pointer .

RETURNS
the search result, or NULL if not found.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/